import _asyncToGenerator from "@babel/runtime/helpers/esm/asyncToGenerator";
import _regeneratorRuntime from "@babel/runtime/regenerator";
import { NativeBiometric } from 'capacitor-native-biometric';
export var isBiometricLoginAvailable = function isBiometricLoginAvailable() {
  return NativeBiometric.isAvailable();
};
export var getBiometricLoginCredentials = /*#__PURE__*/function () {
  var _ref2 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee(_ref) {
    var domain, reason, title, subtitle, description, biometrics, credentials;
    return _regeneratorRuntime.wrap(function _callee$(_context) {
      while (1) switch (_context.prev = _context.next) {
        case 0:
          domain = _ref.domain, reason = _ref.reason, title = _ref.title, subtitle = _ref.subtitle, description = _ref.description;
          _context.next = 3;
          return NativeBiometric.isAvailable();
        case 3:
          biometrics = _context.sent;
          if (!biometrics.isAvailable) {
            _context.next = 11;
            break;
          }
          _context.next = 7;
          return NativeBiometric.getCredentials({
            server: domain
          });
        case 7:
          credentials = _context.sent;
          _context.next = 10;
          return NativeBiometric.verifyIdentity({
            reason: reason,
            title: title,
            subtitle: subtitle,
            description: description
          });
        case 10:
          return _context.abrupt("return", credentials);
        case 11:
          return _context.abrupt("return", null);
        case 12:
        case "end":
          return _context.stop();
      }
    }, _callee);
  }));
  return function getBiometricLoginCredentials(_x) {
    return _ref2.apply(this, arguments);
  };
}();
export var setBiometricLoginCredentials = /*#__PURE__*/function () {
  var _ref4 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee2(_ref3) {
    var username, password, domain;
    return _regeneratorRuntime.wrap(function _callee2$(_context2) {
      while (1) switch (_context2.prev = _context2.next) {
        case 0:
          username = _ref3.username, password = _ref3.password, domain = _ref3.domain;
          _context2.next = 3;
          return NativeBiometric.setCredentials({
            username: username,
            password: password,
            server: domain
          });
        case 3:
        case "end":
          return _context2.stop();
      }
    }, _callee2);
  }));
  return function setBiometricLoginCredentials(_x2) {
    return _ref4.apply(this, arguments);
  };
}();